import { OutputOptions as RollupOutputOptions } from "rollup";
import { BundlibBuildFormat, BundlibRollupModuleOutputOptions, RollupSourcemap } from "./types";
export declare function createOutput(format: BundlibBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean): BundlibRollupModuleOutputOptions;
export declare function createOutput<E extends RollupOutputOptions>(format: BundlibBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, extra: E): BundlibRollupModuleOutputOptions & E;
export default createOutput;
