import { WatchOptions as RollupWatchOptions } from "rollup";
import { BrowserBuildFormat, BundlibRollupBrowseOutputOptions, BundlibRollupModuleOutputOptions, BundlibRollupOptions, FilterablePlugins, ModuleBuildFormat, Nullable, RollupSourcemap } from "./types";
export declare function createConfig<OutputOptions extends BundlibRollupModuleOutputOptions>(input: string, output: OutputOptions, external: Nullable<string[]>, plugins: FilterablePlugins, chokidar: boolean | RollupWatchOptions): BundlibRollupOptions<OutputOptions>;
export declare function createModuleConfig(input: string, format: ModuleBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, external: Nullable<string[]>, plugins: FilterablePlugins, chokidar: boolean | RollupWatchOptions): BundlibRollupOptions<BundlibRollupModuleOutputOptions>;
export declare function createBrowserConfig(input: string, format: BrowserBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, plugins: FilterablePlugins, chokidar: boolean | RollupWatchOptions, name: string, extend: boolean, globals: Nullable<Record<string, string>>, id: Nullable<string>): BundlibRollupOptions<BundlibRollupBrowseOutputOptions>;
